> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Find Scanners

GET https://api.npretail.app/{tenant}/{environment}/{company}/speedgate

This endpoint retrieves a list of all scanners registered within the specified company. Scanner Id Filter The `ScannerId` parameter allows you to filter the list by scanner Id. It supports wildcards, enabling partial matches to retrieve multiple related scanners efficiently.

Reference: https://docs.navipartner.com/apis/api-reference/speedgate/service-speedgate/find-scanners

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)

### Query parameters

- `scannerId` (string, required) — A human friendly unique code that identifies a specific speedgate. Supports filtering such as * for wildcard matching f.ex. GATE*

## Response

### 200

Returns a list of scanners matching the specified filter criteria.

- `scanners` (list of ScannerIdSetupResponseList, required)
- `requireScannerId` (boolean, optional) — Indicates if the speedgate requires a scanner id when scanning a reference number. When not providing a scanner id, a set of default profiles will be used for configuration.
- `permitTickets` (boolean, optional) — Indicates if the scanner will permit tickets when scanned.
- `permitMemberCards` (boolean, optional) — Indicates if the scanner will permit member cards when scanned.
- `permitWallets` (boolean, optional) — Indicates if the scanner will permit wallets when scanned.
- `imageProfileCode` (string, optional) — Code representing the image profile.
- `ticketProfileCode` (string, optional) — Code representing the ticket profile.
- `memberCardProfileCode` (string, optional) — Code representing the member card profile.
- `items` (list of ScannerItemProfileLine, optional)

## Types

### ScannerIdSetupResponseList

List of configured and enabled scanners.

- `id` (UUID, required) — A unique id that identifies a specific speedgate scanner setup.
- `scannerId` (string, required) — A human friendly unique code that identifies a specific speedgate.
- `description` (string, required) — A textual description or name
- `category` (ScannerCategory, optional) — A category containing a multiple scanners. The category offers a way to group the scanners for representation purposes.
- `permitTickets` (boolean, optional) — Indicates if the scanner will permit tickets when scanned.
- `permitMemberCards` (boolean, optional) — Indicates if the scanner will permit member cards when scanned.
- `permitWallets` (boolean, optional) — Indicates if the scanner will permit wallets when scanned.
- `permitDocLxCityCards` (boolean, optional) — Indicates if the scanner will permit DocLX city cards when scanned.
- `imageProfileCode` (string, optional) — Code representing the image profile.
- `ticketProfileCode` (string, optional) — Code representing the ticket profile.
- `memberCardProfileCode` (string, optional) — Code representing the member card profile.

### ScannerItemProfileLine

A scanner station can provide additional simple service options f.ex. free ticket. This is a list of the available options.

- `itemNo` (string, required) — The item number of the ticket
- `description` (string, required) — A textual description or name
- `presentationOrder` (integer, required) — The order in which the scanner will present the items.
- `description2` (string, optional) — A textual description or name

### ScannerCategory

A category containing a multiple scanners. The category offers a way to group the scanners for representation purposes.

- `id` (UUID, required) — The unique uuid of the Speedgate Category.
- `code` (string, required) — The code and unique identifier of the Speedgate Category.
- `name` (string, required) — The description of the category.

## Examples

Example of a successful retrieval of a speedgate setup.

**Response**

```json
{
  "scanners": [
    {
      "id": "12345678-aaaa-12d3-a456-426614174000",
      "scannerId": "GATE1",
      "description": "This is a description",
      "category": {
        "id": "c2608dfa-5c02-427c-ac40-df538cb98d2f",
        "code": "ENTRANCE",
        "name": "Entrance Scanners"
      }
    }
  ],
  "requireScannerId": true,
  "permitTickets": true,
  "permitMemberCards": true,
  "permitWallets": true,
  "imageProfileCode": "IMAGES-1",
  "ticketProfileCode": "TICKETS-1",
  "memberCardProfileCode": "CARDS-1",
  "items": [
    {
      "itemNo": "31001",
      "description": "This is a description",
      "presentationOrder": 1,
      "description2": "This is a description"
    }
  ]
}
```

**SDK Code**

```python List of scanners defined
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./speedgate"

querystring = {"scannerId":"GATE*"}

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript List of scanners defined
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./speedgate?scannerId=GATE*';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go List of scanners defined
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./speedgate?scannerId=GATE*"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby List of scanners defined
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./speedgate?scannerId=GATE*")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java List of scanners defined
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./speedgate?scannerId=GATE*")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php List of scanners defined
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./speedgate?scannerId=GATE*', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp List of scanners defined
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./speedgate?scannerId=GATE*");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift List of scanners defined
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./speedgate?scannerId=GATE*")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```